version: "3.9"

services:
  db:
    image: postgres:14-alpine
    ports:
      - "5432:5432"
    volumes:
      - db:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=shop
      - POSTGRES_USER=shop
      - POSTGRES_PASSWORD=shop
    healthcheck:
        test: [ "CMD-SHELL", "pg_isready -U shop -d shop" ]
        interval: 15s
        timeout: 10s
        retries: 7
        start_period: 12s
    restart: unless-stopped
  app:
    image: technocracy_practice:latest
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - './:/src'
    ports:
      - "8000:8000"
    environment:
      - POSTGRES_NAME=shop
      - POSTGRES_USER=shop
      - POSTGRES_PASSWORD=shop
    depends_on:
      - db
      - redis
  redis:
    image: redis:6-alpine
    ports:
      - 6379:6379

volumes:
  db:
  redis:
